%define module	gtkspellcheck
%define oname	py%{module}

Name:		python-%{module}
Summary:	Python GTK Spellchecker
Version:	4.0.1
Release:	%mkrel 10
License:	GPLv3+
Group:		Development/Python
Url:		http://koehlma.github.com/projects/pygtkspellcheck.html
Source0:	https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	enchant-devel
BuildRequires:	python-enchant
BuildRequires:	python-sphinx
Requires:	python-enchant
Requires:	python-gi
Recommends:	iso-codes

%description
A simple but quite powerful spell checking library written in pure Python
for Gtk based on Enchant.

%package -n python3-%{module}
Summary:	Python3 GTK Spellchecker
Group:		Development/Python
BuildRequires:	python3-enchant
BuildRequires:	python3-sphinx
Requires:	python3-enchant
Requires:	python3-gobject3
Recommends:	iso-codes

%description -n python3-%{module}
A simple but quite powerful spell checking library written in pure Python
for Gtk based on Enchant.

%prep
%setup -q -n %{oname}-%{version}

#for python3 build
rm -rf %{py3dir}
cp -a . %{py3dir}

#fix shebangs
find %{py3dir} -name "*.py" -exec sed -i -e 's,^\(#!%{_bindir}/\)env python,\1python3,' {} \;

%build
python setup.py build

pushd %{py3dir}
	python3 setup.py build
popd

%install
python setup.py install \
	--skip-build \
	--root=%{buildroot}

pushd %{py3dir}
	python3 setup.py install \
	        --skip-build \
        	--root=%{buildroot}
popd

%find_lang py2gtkspellcheck
%find_lang py3gtkspellcheck

%files -f py2gtkspellcheck.lang
%doc README.md
%{python_sitelib}/%{module}/
%{python_sitelib}/pylocales/
%{python_sitelib}/%{oname}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module} -f py3gtkspellcheck.lang
%doc README.md
%{python3_sitelib}/%{module}/
%{python3_sitelib}/pylocales/
%{python3_sitelib}/%{oname}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 4.0.1-10.mga6
+ Revision: 970811
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 tv <tv> 4.0.1-9.mga6
+ Revision: 888518
- use right py*version macro
- rebuild for python 3.5

* Sun Sep 20 2015 wally <wally> 4.0.1-8.mga6
+ Revision: 881951
- BR enchant-devel

* Wed Oct 15 2014 umeabot <umeabot> 4.0.1-7.mga5
+ Revision: 742797
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.0.1-6.mga5
+ Revision: 728688
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.0.1-5.mga5
+ Revision: 688067
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 4.0.1-4.mga5
+ Revision: 628678
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 4.0.1-3.mga4
+ Revision: 543583
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.0.1-2.mga4
+ Revision: 498706
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jul 06 2013 wally <wally> 4.0.1-1.mga4
+ Revision: 450746
- imported package python-gtkspellcheck

